<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\CalendarModel;

class CalendarModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(CalendarModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(CalendarModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(CalendarModel::class);
    }
}
